> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SaaS account

> This endpoint is deprecated. Please use the `/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts` endpoint instead.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json post /api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspace/{workspaceId}/accounts:
    post:
      tags:
        - Workspace Accounts
      summary: Create an SaaS account
      description: >-
        This endpoint is deprecated. Please use the
        `/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/accounts`
        endpoint instead.
      operationId: publicCreateServiceAccount_Deprecated
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
        - name: lang
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/Locale'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicCreateAccountRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCreateAccountResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorListResponseDto'
      deprecated: true
      security:
        - API-Key: []
components:
  schemas:
    Locale:
      type: string
      enum:
        - en
        - ja
    PublicCreateAccountRequestDto:
      type: object
      properties:
        data:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          example:
            provisioningType: invite
            licenses:
              - license1
              - license2
          description: >-

            To create an account for a workspace, following are the steps:


            - **Step 1**: `GET /workspaces/:workspaceId/provisioning-meta` This
            returns a list of fields.

            - **Step 2**: `POST /workspaces/:workspaceId/accounts` Make a
            request based on the meta response from the previous step.

            - **Step 3**: `GET /requests/:requestId` Use requestId from previous
            step to check status


            Continue polling this API until status changes to “finished” or
            “failed”. There will be a rate limit on this API, so please use an
            interval of 1s.
              
        workflowRunId:
          type: string
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
          description: The ID of the workflow run.
      required:
        - data
    GetCreateAccountResponseDto:
      type: object
      properties:
        requestId:
          type: string
          readOnly: true
          example: '1'
      required:
        - requestId
    ValidationErrorListResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorResponseDto'
      required:
        - items
    ValidationErrorResponseDto:
      type: object
      properties:
        field:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
      required:
        - field
        - message
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````